#include <cstdio>
using namespace std;
namespace func{
	typedef long long ll;
	constexpr int mod=1/**/;
	void modp(int&x){
		x>=mod&&(x-=mod);
	}
	void modn(int&x){
		x<0&&(x+=mod);
	}
	ll quickpow(ll x,int k,ll ret=1){
		for(; k; k>>=1,x=x*x%mod)
			(k&1)&&(ret=ret*x%mod);
		return ret;
	}
	template<typename T>void readuint(T&x){
		char ch;
		while((ch=getchar())<'0');
		for(x=ch^'0'; (ch=getchar())>='0'; x=x*10+(ch^'0'));
	}
	void writeuint(int x){
		char str[10];
		char*const ed=str+9;
		char*now=ed;
		for(; x>=10; x/=10,--now)
			*now=(x%10)|'0';
		*now=x|'0';
		for(; now<=ed; ++now)
			putchar(*now);
	}
	template<typename T>void writelnuint(const T&x){
		writeuint(x);
		putchar('\n');
	}
}
namespace program{
	using namespace func;
	void main(){
	}
}
int main(){
	program::main();
	return 0;
}
